### Function

# GtkCustomRequestModeFunc

#### Declaration

    GtkSizeRequestMode
    (* GtkCustomRequestModeFunc) (
      GtkWidget* widget
    )

#### Description [src]

Queries a widget for its preferred size request mode.

#### Parameters

`widget`

  Type: `GtkWidget`

  The widget to be queried.

  The data is owned by the caller of the function.

#### Return value

Type: `GtkSizeRequestMode`

The size request mode.